Bug 804844 - build mongoose with -DNO_SSL_DL
build mongoose with -DNO_SSL_DL
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mongoose (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rafael Aquini
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 18:39 EDT by Frank Ch. Eigler
Modified: 2012-08-29 16:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-26 18:27:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2012-03-19 18:39:37 EDT
Given that openssl is easily available on Fedora, it would seem to better to build /usr/bin/mongoose (and the future libmongoose.so from bug #804843) with -DNO_SSL_DL, so that ordinary dynamic linking for -lopenssl is done instead.
Comment 1 Rafael Aquini 2012-07-17 16:00:44 EDT
New rawhide build for mongoose:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4247046
Comment 2 Fedora Update System 2012-07-17 16:06:06 EDT
mongoose-3.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mongoose-3.1-1.fc17
Comment 3 Fedora Update System 2012-07-19 05:09:20 EDT
Package mongoose-3.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mongoose-3.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10832/mongoose-3.1-1.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-07-26 18:27:12 EDT
mongoose-3.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-08-21 08:57:04 EDT
mongoose-3.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mongoose-3.1-1.fc16
Comment 6 Fedora Update System 2012-08-29 16:25:15 EDT
mongoose-3.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mongoose-3.1-2.fc16

Note You need to log in before you can comment on or make changes to this bug.